import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class Preview extends JFrame {
	
    JavaMapper frame;
    public boolean isShown;
    
    private JTextArea ctext,stext;
    
    public Preview(JavaMapper frame) {
	super("");
	this.frame = frame;
	this.setTitle("Preview Map Output");

	ctext = new JTextArea();
	JScrollPane cPane = new JScrollPane(ctext);
	ctext.setEditable(false);

	stext = new JTextArea();
	JScrollPane sPane = new JScrollPane(stext);
	stext.setEditable(false);
	
	JTabbedPane tabpane = new JTabbedPane();
	tabpane.addTab("Client-side",cPane);
	tabpane.addTab("Server-side",sPane);
	
	getContentPane().add(tabpane);
	
	setBackground(new Color(192,192,192));		
	setSize(400,300);
	this.addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    close();
		}});
    }
    
    public void refresh() {
	if (frame.currentMap==null) {
	    clearFields();
	    return;
	}
	ctext.setText(frame.currentMap.getCode("client"));
	stext.setText(frame.currentMap.getCode("server"));
    }

    public void clearFields() {
	ctext.setText("");
	stext.setText("");
    }

    private void close() {
	frame.mPreview.setState(false);
	setVisible(false);
    }
    
}

